import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSURL } from "../Foundation/NSURL.js";
import type { _WKWebExtensionTab } from "./WKWebExtensionTab.js";
import type { _WKWebExtensionWindow } from "./WKWebExtensionWindow.js";
export declare class _WKWebExtensionTabConfiguration extends _NSObject {
    static alloc(): _WKWebExtensionTabConfiguration;
    static new(): _WKWebExtensionTabConfiguration;
    init(): _WKWebExtensionTabConfiguration;
    /**
     * Indicates the window where the tab should be opened. If this property is `nil`, no window was specified.
     */
    window(): _WKWebExtensionWindow | null;
    /** Indicates the position where the tab should be opened within the window. */
    index(): number;
    /**
     * Indicates the parent tab with which the tab should be related. If this property is `nil`, no parent tab was specified.
     */
    parentTab(): _WKWebExtensionTab | null;
    /**
     * Indicates the initial URL for the tab. If this property is `nil`, the app's default "start page" should appear in the tab.
     */
    url(): _NSURL | null;
    /**
     * Indicates whether the tab should be the active tab. If this property is `YES`, the tab should be made active in the window, ensuring it is the frontmost tab. Being active implies the tab is also selected. If this property is `NO`, the tab shouldn't affect the currently active tab.
     */
    shouldBeActive(): boolean;
    /**
     * Indicates whether the tab should be added to the current tab selection. If this property is `YES`, the tab should be part of the current selection, but not necessarily become the active tab unless ``shouldBeActive`` is also `YES`. If this property is `NO`, the tab shouldn't be part of the current selection.
     */
    shouldAddToSelection(): boolean;
    /** Indicates whether the tab should be pinned. */
    shouldBePinned(): boolean;
    /** Indicates whether the tab should be muted. */
    shouldBeMuted(): boolean;
    /** Indicates whether reader mode in the tab should be active. */
    shouldReaderModeBeActive(): boolean;
}
